## indi 2.1.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
PROJECT(libindi C CXX)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)
include(FeatureSummary)
include(CTest)

if(ANDROID OR "${CMAKE_SYSTEM_NAME}" STREQUAL "Android")
    set(ANDROID ON)
    add_definitions(-DANDROID)
endif()

include(CMakeCommon)
include(CheckSymbolExists)

# Clang Format support
if(UNIX OR APPLE)
    set(FORMAT_CODE OFF CACHE BOOL "Enable Clang Format")

    if(FORMAT_CODE MATCHES ON)
        FILE(GLOB_RECURSE ALL_SOURCE_FILES *.c *.cpp *.h)

        FOREACH(SOURCE_FILE ${ALL_SOURCE_FILES})
            STRING(FIND ${SOURCE_FILE} ${CMAKE_SOURCE_DIR} DIR_FOUND)

            if(NOT ${DIR_FOUND} EQUAL 0)
                LIST(REMOVE_ITEM ALL_SOURCE_FILES ${SOURCE_FILE})
            endif()
        ENDFOREACH()

        FIND_PROGRAM(CLANGFORMAT_EXE NAMES clang-format-5.0)

        if(CLANGFORMAT_EXE)
            ADD_CUSTOM_TARGET(clang-format COMMAND ${CLANGFORMAT_EXE} -style=file -i ${ALL_SOURCE_FILES})
        endif()
    endif()
endif()

# ####################################  INDI version  ################################################
set(CMAKE_INDI_VERSION_MAJOR 2)
set(CMAKE_INDI_VERSION_MINOR 1)
set(CMAKE_INDI_VERSION_RELEASE 3)

set(INDI_SOVERSION ${CMAKE_INDI_VERSION_MAJOR})
set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
set(INDI_VERSION ${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE})

execute_process(
    COMMAND git describe --tags
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_TAG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE GIT_TAG_RESULT
)

if(NOT ${GIT_TAG_RESULT} EQUAL 0)
    set(GIT_TAG "${CMAKE_INDI_VERSION_STRING}-tgz")
endif()

add_definitions(-DGIT_TAG_STRING=\"${GIT_TAG}\")

# #######################################  Paths  ###################################################
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")

if(APPLE)
    set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

# #################################  Install Directories  ###########################################
# # the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

set(PKG_CONFIG_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

# ####################################  Build Options  ##############################################
# Select which components to build and what options to apply
OPTION(INDI_BUILD_SERVER "Build INDI Server" ON)
OPTION(INDI_BUILD_DRIVERS "Build INDI Drivers, Tools, and Examples" ON)
OPTION(INDI_BUILD_CLIENT "Build INDI POSIX Client" ON)
OPTION(INDI_BUILD_QT5_CLIENT "Build INDI Qt5 Client" OFF)
OPTION(INDI_BUILD_UNITTESTS "Build INDI tests" OFF)
OPTION(INDI_BUILD_INTEGTESTS "Build INDI integration tests" OFF)
OPTION(INDI_FAST_BLOB "Build INDI with Fast BLOB support" ON)
OPTION(INDI_BUILD_SHARED "Build shared library" ON)
OPTION(INDI_BUILD_STATIC "Build static library" ON)
OPTION(INDI_BUILD_XISF "Build XISF support" ON)

# System provided or bundled libs
OPTION(INDI_SYSTEM_HTTPLIB "Use system provided httplib" OFF)
OPTION(INDI_SYSTEM_JSONLIB "Use system provided json library" OFF)

if(UNIX AND NOT APPLE)
    OPTION(INDI_SHARED_MEMORY "Build INDI with support for UNIX protocol with shared memory" ON)
else()
    OPTION(INDI_SHARED_MEMORY "Build INDI with support for UNIX protocol with shared memory (require shm specific settings)" OFF)
endif()

OPTION(INDI_CALCULATE_MINMAX "Calculate and store image minimum and maximum values in FITS header" OFF)

set(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
check_symbol_exists(mremap sys/mman.h HAVE_MREMAP)

if(HAVE_MREMAP)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_MREMAP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_MREMAP")
endif()

# ##################################################################################################
# ########################################  Fast Blob  #############################################
# ##################################################################################################
if(INDI_FAST_BLOB)
    # Append ENCLEN attribute to outgoing BLOB elements to enable fast parsing by clients
    add_definitions(-DWITH_ENCLEN)
endif(INDI_FAST_BLOB)

# ##################################################################################################
# ###################################  UNIX protocol / SHM  ########################################
# ##################################################################################################
if(INDI_SHARED_MEMORY)
    if(APPLE)
        message(WARNING "Shared memory protocol require specific shared memory settings")
    else()
        add_definitions(-DENABLE_INDI_SHARED_MEMORY)
    endif()
endif()

# ##################################################################################################
# #####################################  Calculate Min/Max #########################################
# ##################################################################################################
if(INDI_CALCULATE_MINMAX)
    # Calculate Min/Max values to store them in FITS header
    add_definitions(-DWITH_MINMAX)
endif(INDI_CALCULATE_MINMAX)

# ##################################################################################################
# ####################################  Components  ################################################
# ##################################################################################################
set_package_properties(Nova PROPERTIES DESCRIPTION "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" URL "http://libnova.sourceforge.net" TYPE REQUIRED PURPOSE "Provides INDI with astrodynamics library.")
set_package_properties(CFITSIO PROPERTIES DESCRIPTION "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE REQUIRED PURPOSE "Provides INDI with FITS I/O support.")

# ##################################################################################################
# #########  Put runtime files together in PE/COFF platforms to enable in-tree execution  ##########
# ##################################################################################################
if (WIN32 OR CYGWIN)
    if (NOT DEFINED CMAKE_RUNTIME_OUTPUT_DIRECTORY)
        set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/bin")
    endif ()
endif ()

# ##################################################################################################
# ####################################  Common Files  ##############################################
# ##################################################################################################
include_directories(libs)
install(FILES
    libs/indimacros.h
    DESTINATION
    ${INCLUDE_INSTALL_DIR}/libindi
    COMPONENT Devel
)

# ##################################################################################################
# ####################################  bundled libs  ##############################################
# ##################################################################################################
if(INDI_SYSTEM_HTTPLIB)
    find_package(httplib REQUIRED)
    include_directories(${HTTPLIB_INCLUDE_DIR})
    set(SYSTEM_HTTPLIB 1)
    message(STATUS "Using system provided httplib version ${HTTPLIB_VERSION}")
else()
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libs/httplib)
    set(SYSTEM_HTTPLIB 0)
    message(STATUS "Using bundled httplib")
endif(INDI_SYSTEM_HTTPLIB)

if(INDI_SYSTEM_JSONLIB)
    find_package(nlohmann_json REQUIRED)
    set(SYSTEM_JSONLIB 1)
    set(JSONLIB nlohmann_json::nlohmann_json)
    add_definitions(-D_USE_SYSTEM_JSONLIB)
    message(STATUS "Using system provided Niels Lohmann's json library")
else(INDI_SYSTEM_JSONLIB)
    set(SYSTEM_JSONLIB 0)
    set(JSONLIB "")
    message(STATUS "Using bundled json library")
endif(INDI_SYSTEM_JSONLIB)

# ###################################################################################################
#
# Component   : INDI Core
# Dependencies:
# Supported OS: All
#
# ##################################################################################################
add_subdirectory(libs/indicore)

# ##################################################################################################
#
# Component   : indidevice
# Dependencies: indicore
# Supported OS: All
#
# ##################################################################################################
add_subdirectory(libs/indidevice)

# ##################################################################################################
#
# Component   : indiabstractclient
# Dependencies: indicore, indidevice
# Supported OS: All
#
# ##################################################################################################
if(INDI_BUILD_CLIENT OR INDI_BUILD_QT5_CLIENT)
    add_subdirectory(libs/indiabstractclient)
endif()

# ##################################################################################################
#
# Component   : INDI Server
# Dependencies: pthreads
# Supported OS: Linux, BSD, MacOS, Cygwin
#
# ##################################################################################################
if(INDI_BUILD_SERVER)
    add_subdirectory(indiserver)
endif()

# ##################################################################################################
#
# Component   : INDI Client
# Dependencies: zlib, cfitsio
# Supported OS: Linux, BSD, MacOS, Windows, Cygwin
# N.B. Windows support pending migration of networking code
#
# ##################################################################################################
if(INDI_BUILD_CLIENT AND NOT ANDROID)
    message(STATUS "Building INDI Client")
    add_subdirectory(libs/sockets)
    add_subdirectory(libs/indiclient)
endif(INDI_BUILD_CLIENT AND NOT ANDROID)

# ##################################################################################################
#
# Component   : INDI Qt5 Client
# Dependencies: Qt5Network, zlib, cfitsio, Qt5Core
# Supported OS: Linux, BSD, MacOS, Cygwin, Windows, Android
#
# ##################################################################################################
if(INDI_BUILD_QT5_CLIENT)
    message(STATUS "Building INDI Client with Qt5 support")
    add_subdirectory(libs/indiclientqt)
endif(INDI_BUILD_QT5_CLIENT)


# ##################################################################################################
#
# Component   : INDI Drivers, Tools, and Examples
# Dependencies: pthreads, usb1, zLib, cfitsio, nova, curl, jpeg (Linux Only)
# Supported OS: Linux, BSD, MacOS, Cygwin
# N.B. Webcam drivers only supported under Linux (Video4Linux2). Joystick support only under Linux
#
# ##################################################################################################
if(INDI_BUILD_DRIVERS)
    if(WIN32 OR ANDROID)
        message(WARNING "INDI drivers are only supported under Linux, BSD, MacOS, and Cygwin while current system is " ${CMAKE_SYSTEM_NAME})
    else(WIN32 OR ANDROID)
        # 1. Dependencies
        find_package(Threads REQUIRED)
        find_package(ZLIB REQUIRED)
        find_package(CFITSIO REQUIRED)
        find_package(Nova REQUIRED)

=== drivers/dome/CMakeLists.txt ===
# ############### Dome Simulator ################
SET(domesimulator_SRC
    dome_simulator.cpp)

add_executable(indi_simulator_dome ${domesimulator_SRC})
target_link_libraries(indi_simulator_dome indidriver)
install(TARGETS indi_simulator_dome RUNTIME DESTINATION bin)

# ############### Roll Off ################
SET(rolloff_SRC
    roll_off.cpp)

add_executable(indi_rolloff_dome ${rolloff_SRC})
target_link_libraries(indi_rolloff_dome indidriver)
install(TARGETS indi_rolloff_dome RUNTIME DESTINATION bin)

# ############### Baader Dome ################
SET(baaderdome_SRC
    baader_dome.cpp)

add_executable(indi_baader_dome ${baaderdome_SRC})
target_link_libraries(indi_baader_dome indidriver)
install(TARGETS indi_baader_dome RUNTIME DESTINATION bin)

# ############### Dome Pro 2 ##$##############
SET(domepro2_SRC
    domepro2.cpp)

add_executable(indi_domepro2_dome ${domepro2_SRC})
target_link_libraries(indi_domepro2_dome indidriver)
install(TARGETS indi_domepro2_dome RUNTIME DESTINATION bin)

# ############### Rigel Dome ################
SET(rigeldome_SRC
    rigel_dome.cpp)

add_executable(indi_rigel_dome ${rigeldome_SRC})
target_link_libraries(indi_rigel_dome indidriver)
install(TARGETS indi_rigel_dome RUNTIME DESTINATION bin)

# ############### ScopeDome Dome ################
set(scopedome_SRCS
    scopedome_dome.cpp
    scopedome_usb21.cpp
    scopedome_arduino.cpp
    scopedome_sim.cpp
)

add_executable(indi_scopedome_dome ${scopedome_SRCS})
target_link_libraries(indi_scopedome_dome indidriver ${CURL})
install(TARGETS indi_scopedome_dome RUNTIME DESTINATION bin)

# ############### Technical Innovations DDW Dome ################
set(ddw_dome_SRCS
    ddw_dome.cpp
)

add_executable(indi_ddw_dome ${ddw_dome_SRCS})
target_link_libraries(indi_ddw_dome indidriver)
install(TARGETS indi_ddw_dome RUNTIME DESTINATION bin)

# ########## Dome Scripting Gateway ##############
SET(domescript_SRC
    dome_script.cpp)

add_executable(indi_script_dome ${domescript_SRC})
target_link_libraries(indi_script_dome indidriver)
install(TARGETS indi_script_dome RUNTIME DESTINATION bin)

# ########## NexDome Beaver Controller ##############
SET(nexdome_beaver_SRC
    nexdome_beaver.cpp)

add_executable(indi_nexdome_beaver ${nexdome_beaver_SRC})
target_link_libraries(indi_nexdome_beaver indidriver)
install(TARGETS indi_nexdome_beaver RUNTIME DESTINATION bin)

# ############### DragonLAIR ################
SET(dragonlair_SRC
    dragonlair.cpp)

add_executable(indi_dragonlair_dome ${dragonlair_SRC})
target_link_libraries(indi_dragonlair_dome indidriver ${HTTPLIB_LIBRARY})
install(TARGETS indi_dragonlair_dome RUNTIME DESTINATION bin)

# ############### Universal ROR ################
SET(universalror_SRC
    universal_ror.cpp
    universal_ror_client.cpp
    )

add_executable(indi_universalror_dome ${universalror_SRC})
target_link_libraries(indi_universalror_dome indidriver indiclient)
install(TARGETS indi_universalror_dome RUNTIME DESTINATION bin)

# ############### Alpaca Dome ################
SET(alpaca_dome_SRC
    alpaca_dome.cpp
    )

add_executable(indi_alpaca_dome ${alpaca_dome_SRC})
target_link_libraries(indi_alpaca_dome indidriver indiclient)
install(TARGETS indi_alpaca_dome RUNTIME DESTINATION bin)

=== drivers/rotator/CMakeLists.txt ===
# ############### Rigelsys nFrame Rotator ################
SET(nframe_SRC
    nframe.cpp)

add_executable(indi_nframe_rotator ${nframe_SRC})
target_link_libraries(indi_nframe_rotator indidriver)
install(TARGETS indi_nframe_rotator RUNTIME DESTINATION bin)

# ############### Rotator Simulator ########
SET(rotatorsim_SRC
    rotator_simulator.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(rotatorsim rotatorsim_SRC 10 cpp)
ENDIF()

add_executable(indi_simulator_rotator ${rotatorsim_SRC})
target_link_libraries(indi_simulator_rotator indidriver)
install(TARGETS indi_simulator_rotator RUNTIME DESTINATION bin)

# ############### Optec Gemini Focusing Rotator ########
SET(gemini_SRC
    gemini.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(gemini gemini_SRC 10 cpp)
ENDIF()

add_executable(indi_gemini_focus ${gemini_SRC})
target_link_libraries(indi_gemini_focus indidriver)
install(TARGETS indi_gemini_focus RUNTIME DESTINATION bin)

# ############### NightCrawler Focusing Rotator ################
SET(nightcrawler_SRC
    nightcrawler.cpp)

add_executable(indi_nightcrawler_focus ${nightcrawler_SRC})
target_link_libraries(indi_nightcrawler_focus indidriver)
install(TARGETS indi_nightcrawler_focus RUNTIME DESTINATION bin)

# ############### Pyxis Rotator ################
SET(pyxis_SRC
    pyxis.cpp)

add_executable(indi_pyxis_rotator ${pyxis_SRC})
target_link_libraries(indi_pyxis_rotator indidriver)
install(TARGETS indi_pyxis_rotator RUNTIME DESTINATION bin)

# ############### Falcon Rotator ################
SET(falcon_SRC
    pegasus_falcon.cpp)

add_executable(indi_falcon_rotator ${falcon_SRC})
target_link_libraries(indi_falcon_rotator indidriver)
install(TARGETS indi_falcon_rotator RUNTIME DESTINATION bin)

# ############### Falcon V2 Rotator ################
SET(falconv2_SRC
    pegasus_falconv2.cpp)

add_executable(indi_falconv2_rotator ${falconv2_SRC})
target_link_libraries(indi_falconv2_rotator indidriver)
install(TARGETS indi_falconv2_rotator RUNTIME DESTINATION bin)

# ############### Wanderer Rotator Lite ################
SET(WandererRotatorLite_SRC
    wanderer_rotator_base.cpp
    wanderer_rotator_lite.cpp)

add_executable(indi_wanderer_lite_rotator ${WandererRotatorLite_SRC})
target_link_libraries(indi_wanderer_lite_rotator indidriver)
install(TARGETS indi_wanderer_lite_rotator RUNTIME DESTINATION bin)

# ############### Wanderer Rotator Mini ################
SET(WandererRotatorMini_SRC
    wanderer_rotator_base.cpp
    wanderer_rotator_mini.cpp)

add_executable(indi_wanderer_rotator_mini ${WandererRotatorMini_SRC})
target_link_libraries(indi_wanderer_rotator_mini indidriver)
install(TARGETS indi_wanderer_rotator_mini RUNTIME DESTINATION bin)

# ############### Wanderer Rotator Lite V2 ################
SET(WandererRotatorLiteV2_SRC
    wanderer_rotator_base.cpp
    wanderer_rotator_lite_v2.cpp)

add_executable(indi_wanderer_rotator_lite_v2 ${WandererRotatorLiteV2_SRC})
target_link_libraries(indi_wanderer_rotator_lite_v2 indidriver)
install(TARGETS indi_wanderer_rotator_lite_v2 RUNTIME DESTINATION bin)


# ############### Integra85 Focusing Rotator ################
SET(integra_SRC
    integra.cpp)

add_executable(indi_integra_focus ${integra_SRC})
target_link_libraries(indi_integra_focus indidriver)
install(TARGETS indi_integra_focus RUNTIME DESTINATION bin)

# ########## Deep Sky Dad FR1 ###############
SET(deepskydad_fr1_SRC
    deepskydad_fr1.cpp)

add_executable(indi_deepskydad_fr1 ${deepskydad_fr1_SRC})
target_link_libraries(indi_deepskydad_fr1 indidriver)
install(TARGETS indi_deepskydad_fr1 RUNTIME DESTINATION bin)

=== drivers/video/CMakeLists.txt ===
# ########## INDI::CCD V4L Driver ###############

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD|OpenBSD")
    SET(v4l2driverccd_SRC
        lx/Lx.cpp
        v4l2driver.cpp
        indi_v4l2driver.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(v4l2driverccd v4l2driverccd_SRC 10 cpp)
    ENDIF()

    add_executable(indi_v4l2_ccd ${v4l2driverccd_SRC} ${libwebcam_C_SRC} ${libwebcam_CXX_SRC})
    target_link_libraries(indi_v4l2_ccd ${JPEG_LIBRARY} indidriver)
    install(TARGETS indi_v4l2_ccd RUNTIME DESTINATION bin)

    # For DBK21 camera
    IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        install(FILES 80-dbk21-camera.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
    ENDIF()
ENDIF()

=== libs/dsp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(dsp C)

add_library(${PROJECT_NAME} OBJECT "")

# Headers
list(APPEND ${PROJECT_NAME}_HEADERS
    dsp.h
    fits_extensions.h
    fits.h
    sdfits.h
    fitsidi.h
)

list(APPEND ${PROJECT_NAME}_PRIVATE_HEADERS
)

# Sources
list(APPEND ${PROJECT_NAME}_SOURCES
    fits.c
    file.c
    buffer.c
    convert.c
    fft.c
    filters.c
    signals.c
    convolution.c
    stats.c
    stream.c
)

# Setup Target
target_sources(${PROJECT_NAME}
    PUBLIC
    ${${PROJECT_NAME}_HEADERS}
    PRIVATE
    ${${PROJECT_NAME}_SOURCES}
    ${${PROJECT_NAME}_PRIVATE_HEADERS}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC .
)

install(FILES
    ${${PROJECT_NAME}_HEADERS}
    DESTINATION
    ${INCLUDE_INSTALL_DIR}/libindi
    COMPONENT Devel
)

=== debian/control ===
Source: indi
Section: misc
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 13),
               libcfitsio-dev,
               libcpp-httplib-dev,
               libcurl4-gnutls-dev,
               libev-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               libnova-dev (>= 0.16),
               libogg-dev,
               libtheora-dev,
               libusb-1.0-0-dev,
               libxisf-dev (>= 0.2.9),
               nlohmann-json3-dev,
               pkgconf,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.indilib.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/indi

Package: libindidriver2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- driver library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the driver shared library.

Package: libindialignmentdriver2
Section: libs
Architecture: any
Depends: libindi-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- alignment driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the alignment driver shared library.

Package: libindilx200-2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- lx200 driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the lx200 driver shared library.

Package: libindiclient2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- client library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the client shared library.

Package: libindi-plugins
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- plugins
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains binary plugins.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libcfitsio-dev,
         libusb-1.0-0-dev,
         ${so:Depends},
         ${misc:Depends}
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

## indi 2.1.4+dfsg

=== debian/changelog ===
indi (2.1.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - cmake-link-httplib.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.20
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DINDI_BUILD_EXAMPLES=OFF to not build the examples, as they are not
    used.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 07:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.13~),
+Build-Depends: cmake (>= 3.20~),
                debhelper-compat (= 13),
                libcfitsio-dev,
                libcpp-httplib-dev,
@@ -21,7 +21,7 @@
                pkgconf,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.indilib.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git

## indi 2.1.5.1+dfsg

=== drivers/auxiliary/CMakeLists.txt ===
IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND INDI_INSTALL_UDEV_RULES)
    INSTALL(FILES 99-indi_auxiliary.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF()
# ########## Terrans PowerBoxGo V2 ###############
SET(terranspowerboxgov2_SRC
    Terrans_PowerBoxGo_V2.cpp)

add_executable(indi_terrans_powerboxgo_v2 ${terranspowerboxgov2_SRC})
target_link_libraries(indi_terrans_powerboxgo_v2 indidriver)
install(TARGETS indi_terrans_powerboxgo_v2 RUNTIME DESTINATION bin)

# ########## Terrans PowerBoxPro V2 ###############
SET(terranspowerboxprov2_SRC
    Terrans_PowerBoxPro_V2.cpp)

add_executable(indi_terrans_powerboxpro_v2 ${terranspowerboxprov2_SRC})
target_link_libraries(indi_terrans_powerboxpro_v2 indidriver)
install(TARGETS indi_terrans_powerboxpro_v2 RUNTIME DESTINATION bin)

# ########## WandererCover V4-EC###############
SET(indi_wanderercover_v4_ec_SRC
    wanderer_cover_v4_ec.cpp)

add_executable(indi_wanderercover_v4_ec ${indi_wanderercover_v4_ec_SRC})
target_link_libraries(indi_wanderercover_v4_ec indidriver)
install(TARGETS indi_wanderercover_v4_ec RUNTIME DESTINATION bin)

# ########## WandererCover V4 Pro-EC###############
SET(indi_wanderercover_v4_pro_ec_SRC
    wanderer_cover_v4_pro_ec.cpp)

add_executable(indi_wanderercover_v4_pro_ec ${indi_wanderercover_v4_pro_ec_SRC})
target_link_libraries(indi_wanderercover_v4_pro_ec indidriver)
install(TARGETS indi_wanderercover_v4_pro_ec RUNTIME DESTINATION bin)

# ########## Wanderer Eclipse###############
SET(indi_wanderer_eclipse_SRC
    wanderer_eclipse.cpp)

add_executable(indi_wanderer_eclipse ${indi_wanderer_eclipse_SRC})
target_link_libraries(indi_wanderer_eclipse indidriver)
install(TARGETS indi_wanderer_eclipse RUNTIME DESTINATION bin)

# ########## Astrolink-4###############
SET(indi_astrolink4_SRC
    indi_astrolink4.cpp)

add_executable(indi_astrolink4 ${indi_wanderercover_v4_ec_SRC})
target_link_libraries(indi_astrolink4 indidriver)
install(TARGETS indi_astrolink4 RUNTIME DESTINATION bin)

# ########## Wanderer Box Plus V3 ###############
SET(indi_wandererbox_plus_v3_SRC
    wandererbox_plus_v3.cpp)

add_executable(indi_wandererbox_plus_v3 ${indi_wandererbox_plus_v3_SRC})
target_link_libraries(indi_wandererbox_plus_v3 indidriver)
install(TARGETS indi_wandererbox_plus_v3 RUNTIME DESTINATION bin)

# ########## Wanderer Box Pro V3 ###############
SET(indi_wandererbox_pro_v3_SRC
    wandererbox_pro_v3.cpp)

add_executable(indi_wandererbox_pro_v3 ${indi_wandererbox_pro_v3_SRC})
target_link_libraries(indi_wandererbox_pro_v3 indidriver)
install(TARGETS indi_wandererbox_pro_v3 RUNTIME DESTINATION bin)

# ########## Wanderer Dew Terminator ###############
SET(indi_wanderer_dew_terminator_SRC
    wanderer_dew_terminator.cpp)

add_executable(indi_wanderer_dew_terminator ${indi_wanderer_dew_terminator_SRC})
target_link_libraries(indi_wanderer_dew_terminator indidriver)
install(TARGETS indi_wanderer_dew_terminator RUNTIME DESTINATION bin)

# ########## Wanderer Cover V3 ###############
SET(wandererCover_SRC
    wanderer_cover.cpp)

add_executable(indi_wanderer_cover ${wandererCover_SRC})
target_link_libraries(indi_wanderer_cover indidriver)
install(TARGETS indi_wanderer_cover RUNTIME DESTINATION bin)

# ########## SkySafari Middleware ##############
IF(INDI_BUILD_CLIENT)
    SET(skysafari_SRC
        skysafari.cpp
        skysafariclient.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(skysafari skysafari_SRC 10 cpp)
    ENDIF()

    add_executable(indi_skysafari ${skysafari_SRC})
    target_link_libraries(indi_skysafari indidriver indiclient)
    install(TARGETS indi_skysafari RUNTIME DESTINATION bin)
ELSE()
    MESSAGE(WARNING "Skipping build of INDI SkySafari driver since INDI POSIX Client is not built")
ENDIF()

# ########## Watch dog ###############
if(INDI_BUILD_CLIENT)
    SET(watchdog_SRC
        watchdog.cpp
        watchdogclient.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(watchdog watchdog_SRC 10 cpp)
    ENDIF()

    add_executable(indi_watchdog ${watchdog_SRC})

    target_link_libraries(indi_watchdog indidriver indiclient)
    install(TARGETS indi_watchdog RUNTIME DESTINATION bin)
ELSE()
    MESSAGE(WARNING "Skipping build of INDI WatchDog driver since INDI POSIX Client is not built")
ENDIF()

# ########## Flip Flat & Flip Man Driver ###############
SET(flipflat_SRC
    flip_flat.cpp)

add_executable(indi_flipflat ${flipflat_SRC})
target_link_libraries(indi_flipflat indidriver)
install(TARGETS indi_flipflat RUNTIME DESTINATION bin)

# ########## Light Panel Simulator ###############
SET(lightpanelsimulator_SRC
    light_panel_simulator.cpp)

add_executable(indi_simulator_lightpanel ${lightpanelsimulator_SRC})
target_link_libraries(indi_simulator_lightpanel indidriver)
install(TARGETS indi_simulator_lightpanel RUNTIME DESTINATION bin)

# ########## Dust Cover Simulator ###############
SET(dustcoversimulator_SRC
    dust_cover_simulator.cpp)

add_executable(indi_simulator_dustcover ${dustcoversimulator_SRC})
target_link_libraries(indi_simulator_dustcover indidriver)
install(TARGETS indi_simulator_dustcover RUNTIME DESTINATION bin)

# ########## Pegasus Ultimate Power Box Driver ###############
SET(pegasus_upb_SRC
    pegasus_upb.cpp)

add_executable(indi_pegasus_upb ${pegasus_upb_SRC})
target_link_libraries(indi_pegasus_upb indidriver)
install(TARGETS indi_pegasus_upb RUNTIME DESTINATION bin)

# ########## Pegasus USB Control Hub  ###############
SET(pegasus_uch_SRC
    pegasus_uch.cpp)

add_executable(indi_pegasus_uch ${pegasus_uch_SRC})
target_link_libraries(indi_pegasus_uch indidriver)
install(TARGETS indi_pegasus_uch RUNTIME DESTINATION bin)

# ########## Pegasus FlatMaster ###############
SET(pegasus_fm_SRC
    pegasus_flatmaster.cpp)

add_executable(indi_pegasus_flatmaster ${pegasus_fm_SRC})
target_link_libraries(indi_pegasus_flatmaster indidriver)
install(TARGETS indi_pegasus_flatmaster RUNTIME DESTINATION bin)

# ########## Pegasus Pocket Power Box Driver ###############
SET(pegasus_ppb_SRC
    pegasus_ppb.cpp)

add_executable(indi_pegasus_ppb ${pegasus_ppb_SRC})
target_link_libraries(indi_pegasus_ppb indidriver)
install(TARGETS indi_pegasus_ppb RUNTIME DESTINATION bin)

# ########## Pegasus Pocket Power Box Advance Driver ###############
SET(pegasus_ppba_SRC
    pegasus_ppba.cpp)

add_executable(indi_pegasus_ppba ${pegasus_ppba_SRC})
target_link_libraries(indi_pegasus_ppba indidriver)
install(TARGETS indi_pegasus_ppba RUNTIME DESTINATION bin)


# ########## Pegasus Saddle Power Box  Driver ###############
SET(pegasus_spb_SRC
    pegasus_spb.cpp)

add_executable(indi_pegasus_spb ${pegasus_spb_SRC})
target_link_libraries(indi_pegasus_spb indidriver)
install(TARGETS indi_pegasus_spb RUNTIME DESTINATION bin)

# ########## RB Focus Excalibur ###############
SET(Excalibur_SRC
    Excalibur.cpp)

add_executable(indi_Excalibur ${Excalibur_SRC})
target_link_libraries(indi_Excalibur indidriver)
install(TARGETS indi_Excalibur RUNTIME DESTINATION bin)

# ########## SnapCap Driver ###############
SET(snapcap_SRC
    snapcap.cpp)

add_executable(indi_snapcap ${snapcap_SRC})
target_link_libraries(indi_snapcap indidriver)
install(TARGETS indi_snapcap RUNTIME DESTINATION bin)

# ########## Light Pollution Meter #############
SET(lpm_SRC
    lpm.cpp)

add_executable(indi_astromech_lpm ${lpm_SRC})
target_link_libraries(indi_astromech_lpm indidriver)
install(TARGETS indi_astromech_lpm RUNTIME DESTINATION bin)


# ########## Astrolink Mini v2 #############
SET(astrolinkminiv2_SRC
    indi_astrolink4mini2.cpp)

add_executable(indi_astrolink4mini2 ${astrolinkminiv2_SRC})
target_link_libraries(indi_astrolink4mini2 indidriver)
install(TARGETS indi_astrolink4mini2 RUNTIME DESTINATION bin)


# ########## Sky Quality Meter ###############
SET(sqm_SRC
    sqm.cpp)

add_executable(indi_sqm_weather ${sqm_SRC})
target_link_libraries(indi_sqm_weather indidriver)
install(TARGETS indi_sqm_weather RUNTIME DESTINATION bin)

# ########## Sky Quality Meter Simulator ###############
SET(sqm_simulator_SRC
    sqm_simulator.cpp)

add_executable(indi_simulator_sqm ${sqm_simulator_SRC})
target_link_libraries(indi_simulator_sqm indidriver)
install(TARGETS indi_simulator_sqm RUNTIME DESTINATION bin)

# ########## Astrometry Driver ###############
SET(astrometry_SRC
    astrometrydriver.cpp)

add_executable(indi_astrometry ${astrometry_SRC})
target_link_libraries(indi_astrometry indidriver)
install(TARGETS indi_astrometry RUNTIME DESTINATION bin)

# ########## STAR2000 Driver ###############
SET(STAR2000_SRC
    STAR2kdriver.c
    STAR2000.cpp)

add_executable(indi_star2000 ${STAR2000_SRC})
target_link_libraries(indi_star2000 indidriver)
install(TARGETS indi_star2000 RUNTIME DESTINATION bin)

# ########## Arduino ST4 Driver ###############
SET(arduinost4_SRC arduino_st4.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(arduinost4 arduinost4_SRC 10 cpp)
ENDIF()

add_executable(indi_arduinost4 ${arduinost4_SRC})
target_link_libraries(indi_arduinost4 indidriver)
install(TARGETS indi_arduinost4 RUNTIME DESTINATION bin)

# ########## PlaneWave Delta-T Driver ###############
SET(planewave_deltat_SRC planewave_delta.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(indi_planewave_deltat planewave_deltat_SRC 10 cpp)
ENDIF()

add_executable(indi_planewave_deltat ${planewave_deltat_SRC})
target_link_libraries(indi_planewave_deltat indidriver)
install(TARGETS indi_planewave_deltat RUNTIME DESTINATION bin)

# ########## GPUSB Driver ###############
SET(gpusb_SRC
    gpdriver.cpp
    gpusb.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(gpusb gpusb_SRC 10 cpp)
ENDIF()

add_executable(indi_gpusb ${gpusb_SRC})
target_link_libraries(indi_gpusb indidriver)
install(TARGETS indi_gpusb RUNTIME DESTINATION bin)

# ########## Joystick Driver ###############
IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(joystick_SRC
        joystickdriver.cpp
        joystick.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(joystick joystick_SRC 10 cpp)
    ENDIF()

    add_executable(indi_joystick ${joystick_SRC})
    target_link_libraries(indi_joystick indidriver)
    install(TARGETS indi_joystick RUNTIME DESTINATION bin)
ENDIF()

# ########## GPS Simulator Driver ###############
SET(gpssimulator_SRC
    gps_simulator.cpp)

add_executable(indi_simulator_gps ${gpssimulator_SRC})
target_link_libraries(indi_simulator_gps indidriver)
install(TARGETS indi_simulator_gps RUNTIME DESTINATION bin)

# ########## USB_Dewpoint Driver ###############
SET(usb_dewpoint_SRC
    usb_dewpoint.cpp)

add_executable(indi_usbdewpoint ${usb_dewpoint_SRC})
target_link_libraries(indi_usbdewpoint indidriver)
install(TARGETS indi_usbdewpoint RUNTIME DESTINATION bin)

# ########## myDewController Pro Driver ###############
SET(myDewControllerPro_SRC
    myDewControllerPro.cpp)

add_executable(indi_myDewControllerPro ${myDewControllerPro_SRC})
target_link_libraries(indi_myDewControllerPro indidriver)
install(TARGETS indi_myDewControllerPro RUNTIME DESTINATION bin)

# ########## CheapoDC Driver ###############
SET(cheapodc_SRC
    cheapodc.cpp)

add_executable(indi_cheapodc ${cheapodc_SRC})
target_link_libraries(indi_cheapodc indidriver)
install(TARGETS indi_cheapodc RUNTIME DESTINATION bin)

# ########## MYDCP4ESP32 Driver ###############
SET(mydcp4esp32_SRC
    mydcp4esp32.cpp)

add_executable(indi_mydcp4esp32 ${mydcp4esp32_SRC})
target_link_libraries(indi_mydcp4esp32 indidriver)
install(TARGETS indi_mydcp4esp32 RUNTIME DESTINATION bin)

# ########## Deep Sky Dad FP ###############
SET(deepskydad_fp_SRC
    deepskydad_fp.cpp)

add_executable(indi_deepskydad_fp ${deepskydad_fp_SRC})
target_link_libraries(indi_deepskydad_fp indidriver)
install(TARGETS indi_deepskydad_fp RUNTIME DESTINATION bin)

# ########## GIOTTO ###############
SET(giotto_SRC
    giotto.cpp
    ../focuser/primalucacommandset.cpp
)

add_executable(indi_giotto ${giotto_SRC})
target_link_libraries(indi_giotto indidriver)
install(TARGETS indi_giotto RUNTIME DESTINATION bin)

# ########## ALTO ###############
SET(alto_SRC
    alto.cpp

=== libs/hid/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(hid C)

add_library(${PROJECT_NAME} OBJECT "")

# Headers
list(APPEND ${PROJECT_NAME}_HEADERS
    hidapi.h
)

list(APPEND ${PROJECT_NAME}_PRIVATE_HEADERS
)

# Sources
if(APPLE)
    list(APPEND ${PROJECT_NAME}_SOURCES hid_mac.c)
elseif(WIN32)
    list(APPEND ${PROJECT_NAME}_SOURCES hid_win.c)
else()
    list(APPEND ${PROJECT_NAME}_SOURCES hid_libusb.c)
endif()

# Setup Target
target_sources(${PROJECT_NAME}
    PUBLIC
    ${${PROJECT_NAME}_HEADERS}
    PRIVATE
    ${${PROJECT_NAME}_SOURCES}
    ${${PROJECT_NAME}_PRIVATE_HEADERS}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC .
)

install(FILES
    ${${PROJECT_NAME}_HEADERS}
    DESTINATION
    ${INCLUDE_INSTALL_DIR}/libindi
    COMPONENT Devel
)

# ########## HID Test ##############
if(APPLE)
    set(LIBS "-framework IOKit -framework CoreFoundation")
elseif(CYGWIN OR UNIX)
    set(LIBS ${Iconv_LIBRARIES})
endif()

add_executable(indi_hid_test hidtest.cpp)
target_link_libraries(indi_hid_test hid ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${LIBS})
install(TARGETS indi_hid_test RUNTIME DESTINATION bin)

=== debian/changelog ===
indi (2.1.5.1+dfsg-2) experimental; urgency=medium

  * Merge changes from 1.9.9+dfsg-4, and 1.9.9+dfsg-5:
    - update the patches:
      - upstream_rawhideFix-add-missing-header-complained-about-with-.patch:
        drop, backported from upstream
      - upstream_Add-includes-to-fix-build-with-GCC15-C-23-2165.patch: drop,
        backported from upstream
      - upstream_Fix-build-on-non-Linux-1795.patch: drop, backported from
        upstream
      - non_linux_include.diff: drop, fixed upstream
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Minor description improvement in patch cmake-httplib-pkgconfig.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Sep 2025 07:52:45 +0200

indi (2.1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - downgrade cmake to 3.18

 -- Pino Toscano <pino@debian.org>  Mon, 25 Aug 2025 20:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.20~),
+Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libcfitsio-dev,
                libcpp-httplib-dev,
@@ -22,10 +22,9 @@
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://www.indilib.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/indi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/indi/-/tree/experimental
 
 Package: libindidriver2
 Section: libs
@@ -117,6 +116,7 @@
          libusb-1.0-0-dev,
          ${so:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.

## indi 2.1.6%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.18)
 PROJECT(libindi C CXX)
+if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.31)
+    cmake_policy(SET CMP0177 NEW)
+endif()
 
 # As moc files are generated in the binary dir, tell CMake
 # to always look for includes there:
@@ -45,7 +48,7 @@
 # ####################################  INDI version  ################################################
 set(CMAKE_INDI_VERSION_MAJOR 2)
 set(CMAKE_INDI_VERSION_MINOR 1)
-set(CMAKE_INDI_VERSION_RELEASE 3)
+set(CMAKE_INDI_VERSION_RELEASE 5)
 
 set(INDI_SOVERSION ${CMAKE_INDI_VERSION_MAJOR})
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
@@ -94,6 +97,8 @@
 OPTION(INDI_BUILD_SHARED "Build shared library" ON)
 OPTION(INDI_BUILD_STATIC "Build static library" ON)
 OPTION(INDI_BUILD_XISF "Build XISF support" ON)
+OPTION(INDI_BUILD_EXAMPLES "Build INDI examples" ON)
+OPTION(INDI_INSTALL_UDEV_RULES "Install INDI udev rules" ON)
 
 # System provided or bundled libs
 OPTION(INDI_SYSTEM_HTTPLIB "Use system provided httplib" OFF)
@@ -272,9 +277,3 @@
 if(INDI_BUILD_DRIVERS)
     if(WIN32 OR ANDROID)
         message(WARNING "INDI drivers are only supported under Linux, BSD, MacOS, and Cygwin while current system is " ${CMAKE_SYSTEM_NAME})
-    else(WIN32 OR ANDROID)
-        # 1. Dependencies
-        find_package(Threads REQUIRED)
-        find_package(ZLIB REQUIRED)
-        find_package(CFITSIO REQUIRED)
-        find_package(Nova REQUIRED)

=== libs/eventloop/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(eventloop C)
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.31)
    cmake_policy(SET CMP0177 NEW)
endif()

add_library(${PROJECT_NAME} OBJECT "")

# Headers
list(APPEND ${PROJECT_NAME}_HEADERS
    eventloop.h
)

list(APPEND ${PROJECT_NAME}_PRIVATE_HEADERS
)

# Sources
list(APPEND ${PROJECT_NAME}_SOURCES
    eventloop.c
)

# Setup Target
target_sources(${PROJECT_NAME}
    PUBLIC
    ${${PROJECT_NAME}_HEADERS}
    PRIVATE
    ${${PROJECT_NAME}_SOURCES}
    ${${PROJECT_NAME}_PRIVATE_HEADERS}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC .
)

install(FILES
    ${${PROJECT_NAME}_HEADERS}
    DESTINATION
    ${INCLUDE_INSTALL_DIR}/libindi
    COMPONENT Devel
)
